org.python.modules

## Class cPickle.Unpickler

- java.lang.Object
- - org.python.modules.cPickle.Unpickler

Enclosing class:
  cPickle

    public static class cPickle.Unpickler
    extends java.lang.Object

The Unpickler object. Unpickler instances are create by the factory methods Unpickler.

See Also:
  `cPickle.Unpickler(PyObject)`

### Field Summary

Fields
`PyObject` `find_global`
`java.util.Map<java.lang.String,PyObject>` `memo`
`PyObject` `persistent_load` For the benefit of persistency modules written using pickle, it supports the notion of a reference to an object outside the pickled data stream.

### Method Summary

All Methods Instance Methods Concrete Methods
`PyObject` `load()` Unpickle and return an instance of the object represented by the file.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### memo

    public java.util.Map<java.lang.String,PyObject> memo

#### persistent_load

    public PyObject persistent_load

For the benefit of persistency modules written using pickle, it supports the notion of a reference to an object outside the pickled data stream. Such objects are referenced by a name, which is an arbitrary string of printable ASCII characters. The resolution of such names is not defined by the pickle module -- the persistent object module will have to add a method persistent_load().

#### find_global

    public PyObject find_global

### Method Detail

#### load

    public PyObject load()

Unpickle and return an instance of the object represented by the file.